
Redmine - Feature #37159

Drop Ruby 2.5 support

2022-05-25 16:36 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

Recently, more and more of the Gems that Redmine depends on have dropped support for Ruby 2.5. Redmine still supports Ruby

2.5, but this complicates the maintenance of Gemfile.

I think it is time to drop Ruby 2.5 support.

Related issues:

Related to Redmine - Patch #38122: Remove Bundler from requirements Closed

Associated revisions

Revision 21610 - 2022-05-28 00:26 - Marius BĂLTEANU

Drop support for Ruby 2.5 (#37159).

Patch by Go MAEDA.

History

#2 - 2022-05-25 17:02 - Marius BĂLTEANU

- Target version set to 5.1.0

#3 - 2022-05-28 00:27 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

Patch committed, thanks!

#4 - 2022-05-28 12:00 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#5 - 2022-12-28 02:16 - Go MAEDA

- Related to Patch #38122: Remove Bundler from requirements  added

#6 - 2023-10-29 01:55 - Mischa The Evil

- Tracker changed from Patch to Feature

- Resolution set to Fixed

Change tracker for changelog clarity.

Files

drop-ruby-2_5.patch 2.24 KB 2022-05-25 Go MAEDA
